Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class BdoElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<BdoElem>
                  sharin.doc.builder.xhtml1.BdoElem

    public class BdoElem

extends GenericCoreElem<BdoElem>

Constructor Summary
`BdoElem(Object... nodes)`

Method Summary
`BdoElem` | `dir(Object value)`
`BdoElem` | `dirLtr()`
`BdoElem` | `dirRtl()`
`BdoElem` | `lang(Object value)`
`BdoElem` | `onclick(Object value)`
`BdoElem` | `ondblclick(Object value)`
`BdoElem` | `onkeydown(Object value)`
`BdoElem` | `onkeypress(Object value)`
`BdoElem` | `onkeyup(Object value)`
`BdoElem` | `onmousedown(Object value)`
`BdoElem` | `onmousemove(Object value)`
`BdoElem` | `onmouseout(Object value)`
`BdoElem` | `onmouseover(Object value)`
`BdoElem` | `onmouseup(Object value)`
`BdoElem` | `xmllang(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BdoElem

    public BdoElem(Object... nodes)

Method Detail

### dir

    public BdoElem dir(Object value)

### dirLtr

    public BdoElem dirLtr()

### dirRtl

    public BdoElem dirRtl()

### lang

    public BdoElem lang(Object value)

### onclick

    public BdoElem onclick(Object value)

### ondblclick

    public BdoElem ondblclick(Object value)

### onkeydown

    public BdoElem onkeydown(Object value)

### onkeypress

    public BdoElem onkeypress(Object value)

### onkeyup

    public BdoElem onkeyup(Object value)

### onmousedown

    public BdoElem onmousedown(Object value)

### onmousemove

    public BdoElem onmousemove(Object value)

### onmouseout

    public BdoElem onmouseout(Object value)

### onmouseover

    public BdoElem onmouseover(Object value)

### onmouseup

    public BdoElem onmouseup(Object value)

### xmllang

    public BdoElem xmllang(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.